Name: benmp3
Version: 1.0.8
Release: alt1

Summary: Console multiformat player
License: GPL
Group: Sound
Url: http://www.benmp3.fr.st

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %name-%version.tar.bz2

# Automatically added by buildreq on Thu Sep 11 2003
BuildRequires: liba52 libaudiofile-devel libcdaudio-devel libmikmod-devel libmpeg3-devel libncurses-devel libogg-devel libtinfo-devel libvorbis-devel

%description
%name is a ncurses-based multiformat player. It can play
mp3, CD, Wav, Ogg, Au, AIFF and modules supported by libmikmod.

%prep
%setup -q
%__rm -rf libmpeg3 cdaudio

%build
pushd lib%name
%configure --enable-english
%make_build
popd

LIBSDIR=`pwd`/lib%name
export CFLAGS="$RPM_OPT_FLAGS -I$LIBSDIR/include -I%_includedir/libmpeg3"
export CPPFLAGS="-I$LIBSDIR/include -I%_includedir/libmpeg3"
export LDFLAGS="-L$LIBSDIR/lib"

pushd %name
%configure --enable-english
%make_build 
popd

%install
pushd %name
%makeinstall
popd

%files
%_bindir/%name
%doc AUTHORS NEWS README

%changelog
* Thu May 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.8-alt1
- new version.

* Wed Apr 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.7-alt1
- First build for Sisyphus. 

